S32K3 Unified Bootloader Build Issue

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

S32K3 Unified Bootloader Build Issue

Jump to solution
1,090 Views
YL005
Contributor III

Hi,

I want to try the unified bootloader V2.1 with my S32K344 EVB, but I can't compile the project successfully.

Can anyone tell me which RTD I should use or what the configuration of the environment can build the project without error.

For now, my configuration are listed below:

  • S32DS for S32 Platform 3.4
  • S32K3 RTD AUTOSAR 4.4 Version 2.0.0

The error message:

error messages.png

The following link is the project I used.

Unified bootloader Demo - NXP Community

 

Thanks

0 Kudos
1 Solution
1,038 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

1. Offline install SW32K3_S32DS_3.4.3_D2112.zip

SW32K3_S32DS_3.4.3_D2112.pngSW32K3_S32DS_3.4.3_D2112 installed.png

2. Install SW32K3 RTD 4.4 2.0.0

install S32K3 RTD2.0.0.pngS32K3 RTD2.0.0 installed.png

3. Extract to S32K344_CAN_Bootloader_RTD2d0

Extract to S32K344_CAN_Bootloader_RTD2d0.png

4. Import S32K344_CAN_bootlloader_RTD2d0

Import S32K344_CAN_bootlloader_RTD2d0.png

5. Build Debug_FLASH

Build Debug_FLASH S32K344_CAN_bootlloader_RTD2d0.png

View solution in original post

4 Replies
1,064 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

Hi

My S32DS v3.4 already installed S32K3 RTD AUTOSAR 4.4 version 2.0.0 and 2.0.1 and 2.0.3 . If I import the S32K344_APP_Demo_RTD2d0 and S32K344_CAN_Bootloader_RTD2d0 projects and build directly, there will be no error. But because a newer version of RTD is installed, an error will be reported if I click Update Codes and then build again.

The project in unified_bootloader_demo_v2.1 appears to be based on S32K3 RTD AUTOSAR 4.4 version 2.0.0.
Please try Offline Package Installation Setup:
SW32K3_S32DS_3.4.3_D2112.zip
SW32K3_RTD_4.4_2.0.0_DS_updatesite_D2204.zip

Automotive SW - S32K3 Standard Software.pngAutomotive SW - S32K3 - S32 Design Studio 3.4.3_D2112.png


Best Regards,
Robin
-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!

- We are following threads for 7 weeks after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

 

0 Kudos
1,054 Views
YL005
Contributor III

Thank you for the quick reply.

I try to install the the version you mentioned.

InstalledVersion.png

But still error messages here

YL005_0-1684473377334.png

Is there anything I can do to deal with these errors?

0 Kudos
1,039 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

1. Offline install SW32K3_S32DS_3.4.3_D2112.zip

SW32K3_S32DS_3.4.3_D2112.pngSW32K3_S32DS_3.4.3_D2112 installed.png

2. Install SW32K3 RTD 4.4 2.0.0

install S32K3 RTD2.0.0.pngS32K3 RTD2.0.0 installed.png

3. Extract to S32K344_CAN_Bootloader_RTD2d0

Extract to S32K344_CAN_Bootloader_RTD2d0.png

4. Import S32K344_CAN_bootlloader_RTD2d0

Import S32K344_CAN_bootlloader_RTD2d0.png

5. Build Debug_FLASH

Build Debug_FLASH S32K344_CAN_bootlloader_RTD2d0.png

997 Views
YL005
Contributor III

Hi @Robin_Shen 

The step by step instructions are helpful, I can build the project successfully now.

I finally figured out that if I import the project without copying it to the workspace, I get an error when building the project. On the contrary, if I choose to copy project into the workspace while importing the project, then the project will build successfully.

I'm not sure why this happened, but at least the project can build now.

Thank you so much.

YL005_0-1684736875758.png

YL005_1-1684736977066.png

 

 

0 Kudos